# Method Standards.ASN1.Decode.simple_der_decode()

Method simple_der_decode

  ``.Types.Object` simple_der_decode(`string(8bit)` `data`, `mapping`(`int`:`program`)|`void` `types`)`

Description

  decode a DER encoded object using universal data types

Parameter `data`

  a DER encoded object

Parameter `types`

  An optional set of application-specific types. Should map combined tag numbers to classes from or derived from Standards.ASN1.Types. Combined tag numbers may be generated using Standards.ASN1.Types.make_combined_tag. This set is used to extend `universal_types`.

Returns

  an object from Standards.ASN1.Types or either Standards.ASN1.Decode.Primitive or Standards.ASN1.Decode.Constructed if the type is unknown.